prop.trend.test {stats} | R Documentation

## Test for trend in proportions

### Description

Performs chi-squared test for trend in proportions, i.e., a test asymptotically optimal for local alternatives where the log odds vary in proportion with `score`. By default, `score` is chosen as the group numbers.

### Usage

    prop.trend.test(x, n, score = 1:length(x))

### Arguments

`x` | Number of events
`n` | Number of trials
`score` | Group score

### Value

An object of class `"htest"` with title, test statistic, p-value, etc.

### Note

This really should get integrated with `prop.test`

### Author(s)

Peter Dalgaard

### See Also

`prop.test`

### Examples

    smokers  <- c( 83, 90, 129, 70 )
    patients <- c( 86, 93, 136, 82 )
    prop.test(smokers, patients)
    prop.trend.test(smokers, patients)
    prop.trend.test(smokers, patients,c(0,0,0,1))

[Package Contents]